void Disass(void);
void writeConfig(void);
void refreshTree(Fl_Tree_Item *ti);
void refresh(void);
void readDefFile(void);
void refreshTitle(void);

/* AVR-spezifische Definitionen */
#define fI	7
#define fT	6
#define	fH	5
#define	fS	4
#define	fV	3
#define	fN	2
#define	fZ	1
#define	fC	0

#define rrX	26
#define rrY	28
#define rrZ	30

#define MAX_ROWS 4096
#define MAX_COLS 16

#define DT_RAM		1
#define DT_EEPROM	2
#define DT_FLASH	3

/* Flags für ProgMem */
#define PM_BREAKPOINT	0x1
#define PM_SOURCE		0x2

typedef struct progmem{
	uint16_t opcode;
	uint16_t src_file;
	uint16_t src_line;
	uint16_t flags;
	char *name;
	} progmem;

typedef struct fn_rec {
	struct fn_rec *next;
	char name[PATH_MAX];
}fn_rec;

typedef struct reg_rec{
	Fl_Input *input;
	char name[10];
	int num;
}reg_rec;

/**
 * \brief Liste der Opcodes mit mehr als 2 Words
 * Format: Maske, Opcode, Anzahl Words
 */
uint16_t skip_tab[]={
	0xFE0F,0x9000,2,	/*lds*/
	0xFE0F,0x9200,2,	/*sts*/
	0xFE0E,0x940E,2,	/*call*/
	0xFE0E,0x940C,2,	/*jmp*/
	0,0,0};	/* End of table */

